Package: org.grails.cli.profile

## [Java] Interface ExecutionContext

- org.grails.cli.profile.ProjectContext

- All Superinterfaces:
    ProjectContext

      public interface ExecutionContext
      extends ProjectContext

  Context for the execution of Command instances within a Profile

  Authors:
    Lari Hotari
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addCancelledListener(CommandCancellationListener listener)` Attaches a listener for cancellation events
    `` | `public void` | `cancel()` Allows cancelling of the running command
    `` | `public CommandLine` | `getCommandLine()` Returns: The parsed command line arguments as an instance of CommandLine

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ProjectContext` | `getBaseDir, getConfig, getConsole, navigateConfig, navigateConfigForType`

- - ### Method Detail

    - #### public void addCancelledListener(CommandCancellationListener listener)

      Attaches a listener for cancellation events

      Parameters:
        `listener` - The CommandCancellationListener

    - #### public void cancel()

      Allows cancelling of the running command

    - #### public CommandLine getCommandLine()

      Returns:
        The parsed command line arguments as an instance of CommandLine